Do not miss any PropertyBaseGO API changes, ever again

Subscribe to the PropertyBaseGO API changelog to be up to date on recent changes.

RSS

Sep 24, 2026

main
2.0
Compare

API structure has changed

Next change
135 structure changes including:
135 Breaking changes
124 Modifications
11 Removals
Modified 124 Breaking
DELETE /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
DELETE /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
DELETE /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
DELETE /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
DELETE /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
DELETE /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
DELETE /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
DELETE /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
DELETE /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
DELETE /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
DELETE /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
GET /agents
  • Path went from /agents/{id} to /agents (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contact_notes
  • Path went from /contact_notes/{id} to /contact_notes (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /contacts
  • Path went from /contacts/{id} to /contacts (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /development_categories
  • Path went from /development_categories/{development_category_id} to /development_categories (same operationId)
    Breaking
  • Path
  • development_category_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /developments
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments (same operationId)
    Breaking
  • Path
  • development_id, development_price_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
GET /developments/{development_id}/development_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
GET /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
GET /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
GET /developments/{development_id}/development_prices
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_prices (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /dynamic_forms
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /dynamic_forms/{id}
  • Path went from /dynamic_forms/{id}/form_submissions to /dynamic_forms/{id} (same operationId)
    Breaking
GET /employees
  • Path went from /employees/{id} to /employees (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /events
  • Path went from /events/{id} to /events (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads
  • Path went from /leads/{id}/showings/{showing_id} to /leads (same operationId)
    Breaking
  • Path
  • id, showing_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /leads/{id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/contact_forms
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/contact_forms (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/email_friends
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/email_friends (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
GET /leads/{id}/favorite_rental_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/favorite_rental_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/inquiries
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/inquiries/{inquiry_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/inquiries/{inquiry_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • inquiry_id path parameter Added
GET /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
GET /leads/{id}/lead_properties
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_properties (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
GET /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/market_report_updates/{update_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/market_report_updates/{update_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • update_id path parameter Added
GET /leads/{id}/property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/property_views/{view_id}
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/property_views/{view_id} (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • view_id path parameter Added
GET /leads/{id}/public_activity
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/public_activity (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_property_notes
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_notes (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_property_views
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_property_views (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_saved_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_saved_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/rental_searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/rental_searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/searches
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/searches (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /leads/{id}/showings
  • Path went from /leads/{id}/showings/{showing_id} to /leads/{id}/showings (same operationId)
    Breaking
  • Path
  • showing_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports (same operationId)
    Breaking
  • Path
  • id, update_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /market_reports/{id}/market_report_updates
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id}/market_report_updates (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists (same operationId)
    Breaking
  • Path
  • id, lead_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
GET /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
GET /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
GET /marketing_lists/{id}/leads
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/leads (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /messages
  • Path went from /messages/{id} to /messages (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /offices
  • Path went from /offices/{id} to /offices (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /saved_searches
  • Path went from /saved_searches/data to /saved_searches (same operationId)
    Breaking
GET /saved_searches/{id}
  • Path went from /saved_searches/data to /saved_searches/{id} (same operationId)
    Breaking
  • Query
  • page, per_page query parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Path
  • id path parameter Added
GET /tasks
  • Path went from /tasks/{id} to /tasks (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
GET /teams
  • Path went from /teams/{id} to /teams (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • page, per_page query parameters Added
PATCH /developments/{development_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_addresses/{development_address_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_addresses/{development_address_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_address_id path parameter Added
PATCH /developments/{development_id}/development_agents/add_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/add_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_agents/remove_agents
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_agents/remove_agents (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/add_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/add_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_area_profiles/remove_area_profiles
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_area_profiles/remove_area_profiles (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/add_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/add_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_categories/remove_categories
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_categories/remove_categories (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /developments/{development_id}/development_floor_plans/{development_floor_plan_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_floor_plans/{development_floor_plan_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_floor_plan_id path parameter Added
PATCH /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_listing_sheets/{development_listing_sheet_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_listing_sheet_id path parameter Added
PATCH /developments/{development_id}/development_pictures/{development_picture_id}
  • Path went from /developments/{development_id}/development_prices/{development_price_id} to /developments/{development_id}/development_pictures/{development_picture_id} (same operationId)
    Breaking
  • Path
  • development_price_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • development_picture_id path parameter Added
PATCH /leads/{id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /leads/{id}/favorite_properties/{favorite_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/favorite_properties/{favorite_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • favorite_id path parameter Added
PATCH /leads/{id}/lead_notes/{note_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_notes/{note_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • note_id path parameter Added
PATCH /leads/{id}/lead_relationships/{relationship_id}
  • Path went from /leads/{id}/market_report_updates/{update_id} to /leads/{id}/lead_relationships/{relationship_id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • relationship_id path parameter Added
PATCH /market_reports/{id}
  • Path went from /market_reports/{id}/market_report_updates/{update_id} to /market_reports/{id} (same operationId)
    Breaking
  • Path
  • update_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PATCH /marketing_lists/{id}/agents/{agent_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/agents/{agent_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • agent_id path parameter Added
PATCH /marketing_lists/{id}/contacts/{contact_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/contacts/{contact_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • contact_id path parameter Added
PATCH /marketing_lists/{id}/employees/{employee_id}
  • Path went from /marketing_lists/{id}/leads/{lead_id} to /marketing_lists/{id}/employees/{employee_id} (same operationId)
    Breaking
  • Path
  • lead_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • employee_id path parameter Added
POST /developments
  • Path went from /developments/{development_id}/development_prices to /developments (same operationId)
    Breaking
  • Path
  • development_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /developments/{development_id}/development_addresses
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_addresses (same operationId)
    Breaking
POST /developments/{development_id}/development_floor_plans
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_floor_plans (same operationId)
    Breaking
POST /developments/{development_id}/development_listing_sheets
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_listing_sheets (same operationId)
    Breaking
POST /developments/{development_id}/development_pictures
  • Path went from /developments/{development_id}/development_prices to /developments/{development_id}/development_pictures (same operationId)
    Breaking
POST /leads
  • Path went from /leads/{id}/showings to /leads (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /leads/{id}/email_friends
  • Path went from /leads/{id}/showings to /leads/{id}/email_friends (same operationId)
    Breaking
POST /leads/{id}/favorite_properties
  • Path went from /leads/{id}/showings to /leads/{id}/favorite_properties (same operationId)
    Breaking
POST /leads/{id}/inquiries
  • Path went from /leads/{id}/showings to /leads/{id}/inquiries (same operationId)
    Breaking
POST /leads/{id}/lead_notes
  • Path went from /leads/{id}/showings to /leads/{id}/lead_notes (same operationId)
    Breaking
POST /leads/{id}/lead_relationships
  • Path went from /leads/{id}/showings to /leads/{id}/lead_relationships (same operationId)
    Breaking
POST /leads/{id}/market_report_updates
  • Path went from /leads/{id}/showings to /leads/{id}/market_report_updates (same operationId)
    Breaking
POST /leads/{id}/property_views
  • Path went from /leads/{id}/showings to /leads/{id}/property_views (same operationId)
    Breaking
POST /leads/{id}/searches
  • Path went from /leads/{id}/showings to /leads/{id}/searches (same operationId)
    Breaking
POST /market_reports
  • Path went from /market_reports/{id}/market_report_updates to /market_reports (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists
  • Path went from /marketing_lists/{id}/leads to /marketing_lists (same operationId)
    Breaking
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /marketing_lists/{id}/add_member
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/add_member (same operationId)
    Breaking
POST /marketing_lists/{id}/agents
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/agents (same operationId)
    Breaking
POST /marketing_lists/{id}/contacts
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/contacts (same operationId)
    Breaking
POST /marketing_lists/{id}/employees
  • Path went from /marketing_lists/{id}/leads to /marketing_lists/{id}/employees (same operationId)
    Breaking
PUT /agents/{id}/deactivate
  • Path went from /agents/{id}/reactivate to /agents/{id}/deactivate (same operationId)
    Breaking
PUT /employees/{id}/deactivate
  • Path went from /employees/{id}/reactivate to /employees/{id}/deactivate (same operationId)
    Breaking
PUT /offices/{id}/deactivate
  • Path went from /offices/{id}/reactivate to /offices/{id}/deactivate (same operationId)
    Breaking
PUT /teams/{id}/deactivate
  • Path went from /teams/{id}/reactivate to /teams/{id}/deactivate (same operationId)
    Breaking
Removed 11 Breaking
GET /docs/appendix/appendix-a
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-b
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-c
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-d
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-e
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-f
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-g
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-h
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-i
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-j
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /docs/appendix/appendix-k
  • Removing a resource is always breaking unless it was deprecated before
    Breaking